Bug 1036493 (CVE-2013-6053) - CVE-2013-6053 openjpeg: out-of-bounds memory read flaws in version 1.5.1
Summary: CVE-2013-6053 openjpeg: out-of-bounds memory read flaws in version 1.5.1
Status: CLOSED NOTABUG
Alias: CVE-2013-6053
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131204,repor...
Keywords: Security
Depends On: 1038409 1038410 1038415
Blocks: 1036502
TreeView+ depends on / blocked
 
Reported: 2013-12-02 06:57 UTC by Murray McAllister
Modified: 2015-10-15 18:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 09:52:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (628 bytes, patch)
2013-12-02 07:31 UTC, Murray McAllister
no flags Details | Diff

Description Murray McAllister 2013-12-02 06:57:18 UTC
Raphael Geissert discovered out-of-bounds memory read flaws in OpenJPEG. If a specially-crafted image were opened by an application linked against OpenJPEG, it could cause the application to crash or lead to information leaks.

These issues only affected the version of OpenJPEG as shipped in Fedora (version 1.5.1)

Comment 1 Murray McAllister 2013-12-02 07:31:16 UTC
Created attachment 831460 [details]
proposed patch

Comment 2 Murray McAllister 2013-12-02 14:04:38 UTC
Acknowledgements:

Red Hat would like to thank Raphael Geissert for reporting these issues during a review for EDF.

Comment 3 Murray McAllister 2013-12-05 05:05:40 UTC
Created openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1038409]

Comment 4 Murray McAllister 2013-12-05 05:05:48 UTC
Created mingw-openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1038410]

Comment 6 Huzaifa S. Sidhpurwala 2013-12-06 09:52:14 UTC
Statement:

Not Vulnerable. This issue does not affect the version of openjpeg as shipped with Red Hat Enterprise Linux 6.

Comment 7 Fedora Update System 2013-12-15 03:27:27 UTC
mingw-openjpeg-1.5.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-15 03:32:53 UTC
mingw-openjpeg-1.5.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-01-14 08:43:21 UTC
openjpeg-1.5.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-01-31 04:29:48 UTC
openjpeg-1.5.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.